<?php

// Captcha code configuration
// ---------------------------------------------------------------------------
$LBD_Configuration_CodeLength = 5;
$LBD_Configuration_CodeStyle = CodeStyle::Alphanumeric;
$LBD_Configuration_CodeTimeout = 1200;
$LBD_Configuration_Locale = 'en-US';
$LBD_Configuration_CustomCharset = '';
$LBD_Configuration_BannedSequences = '';


// Captcha image configuration
// ---------------------------------------------------------------------------
$LBD_Configuration_ImageStyle = CaptchaRandomization::GetRandomImageStyle();
$LBD_Configuration_ImageWidth = 250;
$LBD_Configuration_ImageHeight = 50;
$LBD_Configuration_ImageFormat = ImageFormat::Jpeg;
$LBD_Configuration_CustomDarkColor = '';
$LBD_Configuration_CustomLightColor = '';
$LBD_Configuration_HelpLinkEnabled = true;
$LBD_Configuration_HelpLinkUrl = 'http://captcha.biz/captcha.html';
$LBD_Configuration_ImageTooltip = 'CAPTCHA';
$LBD_Configuration_FontsFolder = 'BotDetect/Resources/Fonts';


// Captcha sound configuration
// ---------------------------------------------------------------------------
$LBD_Configuration_SoundEnabled = true;
$LBD_Configuration_SoundStyle = SoundStyle::Dispatch;
$LBD_Configuration_SoundFormat = SoundFormat::WavPcm16bit8kHzMono;
$LBD_Configuration_SoundTooltip = 'Speak the CAPTCHA code';
$LBD_Configuration_SoundIconUrl = 'BotDetect/Resources/SoundIcon.gif';
$LBD_Configuration_SoundsFolder = 'BotDetect/Resources/Sounds';
$LBD_Configuration_WarnAboutMissingSoundPackages = true;


// Captcha reload configuration
// ---------------------------------------------------------------------------
$LBD_Configuration_ReloadEnabled = true;
$LBD_Configuration_ReloadTooltip = 'Reload the CAPTCHA code';
$LBD_Configuration_ReloadIconUrl = 'BotDetect/Resources/ReloadIcon.gif';
$LBD_Configuration_AutoReloadExpiredCaptchas = true;
$LBD_Configuration_AutoReloadTimeout = 7200;


// Captcha user input  configuration
// ---------------------------------------------------------------------------
$LBD_Configuration_AutoFocusInput = true;
$LBD_Configuration_AutoClearInput = true;
$LBD_Configuration_AutoLowercaseInput = true;


// Captcha persistence configuration
// ---------------------------------------------------------------------------
function LBD_Persistence_Save($p_Key, $p_Value) {
  // save the given value with the given string key
  $_SESSION[$p_Key] = serialize($p_Value);
}

function LBD_Persistence_Load($p_Key) {
  // load persisted value for the given string key
  if (isset($_SESSION) && array_key_exists($p_Key, $_SESSION)) {
    return unserialize($_SESSION[$p_Key]);
  }
}

function LBD_Persistence_Clear($p_Key) {
  // clear persisted value for the given string key
  if (isset($_SESSION) && array_key_exists($p_Key, $_SESSION)) {
    unset($_SESSION[$p_Key]);
  }
}
?>